#!/bin/bash

cd "$(dirname "$0")"
cd ..

mkdir lib resources

## get dependencies
cd lib
git clone git@gitea.cjvt.si:redmine_projects/nova_slovnica.git
git clone git@gitea.cjvt.si:ozbolt/luscenje_struktur.git
git clone git@gitea.cjvt.si:generic/data_admin.git
git clone git@gitea.cjvt.si:generic/xml_schemas.git
scp -P 3022 proc1.cjvt.si:/net/nas/resources/miscellaneous/structures/structures.xml .
cd ..

## prepare python environment
python3 -m venv venv
source venv/bin/activate
pip install wheel
pip install lxml
pip install psycopg2cffi
pip install sqlalchemy
pip install classla
python -c "import classla; classla.download('sl', type='standard_jos', dir='resources/classla')"
pip install lib/nova_slovnica/python/package/
pip install lib/luscenje_struktur/
pip install package/
deactivate

## put needed resources in place
cd resources
ln -s ../lib/luscenje_struktur/wani.py .
ln -s ../lib/nova_slovnica/resources/dict.xml .
ln -s ../lib/data_admin/resources/structures.xsd .
ln -s ../lib/xml_schemas/resources/schema/inventory.xsd .
ln -s ../lib/xml_schemas/resources/schema/monolingual_dictionaries.xsd .
mv ../lib/structures.xml .
cd ..
